AurionAI Docs

Update Voice Widget Config

Update tenant-scoped configuration for externally embedded voice widget.

PUT
/api/v1/voice-widget/config

Update tenant-scoped configuration for externally embedded voice widget.

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v1/voice-widget/config" \  -H "Content-Type: application/json" \  -d '{    "display_title": "string",    "enabled": true,    "launcher_label": "string"  }'
{
  "accent_color": "string",
  "accent_theme": "blue",
  "allowed_origins": [
    "string"
  ],
  "display_title": "string",
  "embed_script_url": "string",
  "embed_snippet": "string",
  "enabled": true,
  "launcher_bubble_message": "string",
  "launcher_label": "string",
  "launcher_position": "bottom-right",
  "logo_url": "string",
  "primary_color": "string",
  "public_widget_key": "string",
  "quick_actions_enabled": true,
  "show_powered_by": true,
  "sso_auto_login": true,
  "theme": "light",
  "updated_at": "2019-08-24T14:15:22Z",
  "welcome_text": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}